ScheduleVerificationService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.mbean.ScheduleVerificationService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.mbean
Class ScheduleVerificationService

    java.lang.Object
      org.hyperic.hq.common.SessionMBeanBase
          org.hyperic.hq.measurement.server.mbean.ScheduleVerificationService

All Implemented Interfaces:
  org.hyperic.hq.measurement.server.mbean.ScheduleVerificationServiceMBean

    public class ScheduleVerificationService

extends SessionMBeanBase
implements org.hyperic.hq.measurement.server.mbean.ScheduleVerificationServiceMBean

This job is responsible for verifying measurement jobs. It is possible for the agent's schedule to become lost. In these cases, its desirable for the server to push the schedule out to the agent. At present, the agent scheduling process is synchronous along with the server scheduling process. The intent is to allow this to be asynchronous. Note: We can't schedule this job to run any more frequently than the shortest DM's interval. Otherwise, we'd keep blowing away and recreating the schedule due to the absence of data rows.

Constructor Summary
`ScheduleVerificationService()`

Method Summary
`void` | `destroy()`
`void` | `hit(java.util.Date lDate)`
`protected void` | `hitInSession(java.util.Date lDate)`
`void` | `init()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleVerificationService

    public ScheduleVerificationService()

Method Detail

### hit

    public void hit(java.util.Date lDate)

  Specified by:
    `hit` in interface `org.hyperic.hq.measurement.server.mbean.ScheduleVerificationServiceMBean`
  Overrides:
    `hit` in class `SessionMBeanBase`

### hitInSession

    protected void hitInSession(java.util.Date lDate)

  Specified by:
    `hitInSession` in class `SessionMBeanBase`

### init

    public void init()

  Specified by:
    `init` in interface `org.hyperic.hq.measurement.server.mbean.ScheduleVerificationServiceMBean`

### start

    public void start()

  Specified by:
    `start` in interface `org.hyperic.hq.measurement.server.mbean.ScheduleVerificationServiceMBean`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.hyperic.hq.measurement.server.mbean.ScheduleVerificationServiceMBean`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.hyperic.hq.measurement.server.mbean.ScheduleVerificationServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.